import 'package:dotup_flutter_prototyping/dotup_flutter_prototyping.dart';
import 'package:dotup_flutter_simulator/dotup_flutter_simulator.dart';
import 'package:dotup_flutter_widgets/dotup_flutter_widgets.dart';
import 'package:flutter/material.dart';

main(List<String> args) {
  startSimluator(
    mockupDescriptor: MockupDescriptor(
      title: 'test',
      pages: [
        MockupPageDescriptor(
          number: 1,
          title: 'title',
          builder: (context) {
            return Scaffold(
              appBar: AppBar(
                title: Text('test'),
              ),
            );
          },
        ),
        MockupPageDescriptor(
          number: 1,
          title: 'title',
          builder: (context) {
            return MediaQuery(data: DeviceSimulator.mediaQueryData, child: ScreenInfoPage());
          },
        ),
        MockupPageDescriptor(
          number: 1,
          title: 'title',
          builder: (context) {
            return MockupContainer(child: ScreenInfoPage());
          },
        ),
        MockupPageDescriptor(
          number: 1,
          title: 'title',
          builder: (context) {
            final m = MediaQuery.of(context);
            return ScreenInfoPage();
          },
        ),
      ],
    ),
  );
}
